/**
 * @packageDocumentation
 * @module array
 */
/**
 * Binary searcher method
 * @param searchValue
 * @param searchArray
 * @private
 * @internal
 */
export declare function binarySearcher<T, K>(searchValue: T, searchArray: T[], property?: string | number): number;
/**
 * Default sort method that provides a number value of comparison order
 * @private
 * @param first The first comparison parameter
 * @param second The second comparison parameter
 *
 * @returns Number related to the sort order of two comparison parameters
 */
export declare function defaultSort<T>(first: T, second: T): number;
